<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package quarty
 */

get_header();
?>


	<div class="qrt-left-content">

	<?php $layout = get_field( 'blog_layout', 'option' ); ?>
	
	<!-- section title -->
	<div class="qrt-section-title<?php if ( $layout != 1 ) : ?> archive-row-title<?php endif; ?>">
		<!-- row -->
		<div class="row">
			<!-- col -->
	  		<div class="col-lg-12">
				<h1 class="title--h2"><?php echo esc_html__( 'Latest Posts', 'quarty' ); ?></h1>
	  		</div>
	  		<!-- col end -->
	  	</div>
	  	<!-- row end -->
	</div>
	<!-- section title end -->

    <?php get_template_part( 'template-parts/archive-list' ); ?>

	</div>
<?php
get_footer();