<?php
/**
 * Default template for header
 *
 * @package quarty
 */

?>

<?php	
	$header_logo = get_field( 'header_logo', 'option' );
	$header_sm_logo = get_field( 'header_sm_logo', 'option' );
	$header_btn = get_field( 'header_btn', 'option' );
	$header_btn_label = get_field( 'header_btn_label', 'option' );
	$header_btn_url = get_field( 'header_btn_url', 'option' );
?>

<div class="qrt-top-bar<?php if ( ! $header_sm_logo ) : ?> qrt-top-bar-wsm<?php endif; ?>">

	<?php if ( $header_sm_logo ) : ?>
	<a href="<?php echo esc_url( home_url() ); ?>" class="qrt-symbol qrt-cursor-scale qrt-anima-link">
		<img src="<?php echo esc_url( $header_sm_logo ); ?>" alt="<?php echo esc_attr( bloginfo('name') ); ?>">
	</a>
	<?php endif; ?>

	<a href="<?php echo esc_url( home_url() ); ?>" class="qrt-logo qrt-cursor-color qrt-cursor-scale qrt-anima-link">
	<?php if ( $header_logo ) : ?>
	<img src="<?php echo esc_url( $header_logo ); ?>" alt="<?php echo esc_attr( bloginfo('name') ); ?>">
	<?php else : ?>
	<span class="qrt-logo-text"><?php echo esc_html( bloginfo('name') ); ?></span>
	<span class="qrt-logo-sub"><?php echo esc_html( bloginfo('description') ); ?></span>
	<?php endif; ?>
	</a>

	<div class="qrt-menu">
		<div id="qrt-dynamic-menu" class="qrt-dynamic-menu">
			<nav>
			<?php if ( has_nav_menu( 'primary' ) ) :
				wp_nav_menu( array(
				'theme_location' => 'primary',
				'container' => '',
				'menu_class' => '',
				'walker' => new Quarty_Header_Menu_Walker(),
				) );
			endif; ?>
			</nav>
		</div>
	</div>

	<div class="qrt-buttons">
		<?php if ( $header_btn ) : ?>
		<a href="<?php echo esc_url( $header_btn_url ); ?>" class="qrt-btn qrt-btn-md qrt-btn-color qrt-send-request qrt-anima-link qrt-mr-20">
			<span><?php echo esc_html( $header_btn_label ); ?></span>
		</a>
		<?php endif; ?>
		<div class="qrt-menu-btn qrt-cursor-color qrt-cursor-scale"><span></span></div>
		<div class="qrt-search-btn qrt-cursor-color qrt-cursor-scale"><i class="fas fa-search"></i></div>

		<?php if ( class_exists( 'WooCommerce' ) ) : ?>
		<?php if ( true == get_theme_mod( 'cart_shop', true ) ) : if ( is_object( WC()->cart ) ) : ?>
		<div class="cart-btn<?php if ( WC()->cart->get_cart_contents_count() == 0 ) : ?> cart-btn-empty<?php endif; ?>">
			<div class="cart-icon zoom-cursor">
				<span class="cart-count"><?php echo sprintf (_n( '%d', '%d', WC()->cart->get_cart_contents_count(), 'quarty' ), WC()->cart->get_cart_contents_count() ); ?></span> 
			</div>
			<div class="cart-widget">
				<?php if ( is_object( WC()->cart ) ) : woocommerce_mini_cart(); endif; ?>
			</div>
		</div>
		<?php endif; endif; ?>
		<?php endif; ?>

	</div>

	<div class="qrt-search">
		<?php get_search_form(); ?>
	</div>

</div>